org.apache.poi.xddf.usermodel

## Class XDDFColorHsl

- java.lang.Object
- - org.apache.poi.xddf.usermodel.XDDFColor
  - - org.apache.poi.xddf.usermodel.XDDFColorHsl

-     @Beta
      public class XDDFColorHsl
      extends XDDFColor

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.xddf.usermodel.XDDFColor

      `container`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XDDFColorHsl(org.openxmlformats.schemas.drawingml.x2006.main.CTHslColor color)`
    `protected` | `XDDFColorHsl(org.openxmlformats.schemas.drawingml.x2006.main.CTHslColor color, org.openxmlformats.schemas.drawingml.x2006.main.CTColor container)`
    `` | `XDDFColorHsl(int hue, int saturation, int luminance)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHue()`
    `int` | `getLuminance()`
    `int` | `getSaturation()`
    `protected org.apache.xmlbeans.XmlObject` | `getXmlObject()`
    `void` | `setHue(int hue)`
    `void` | `setLuminance(int lightness)`
    `void` | `setSaturation(int saturation)`

    - ### Methods inherited from class org.apache.poi.xddf.usermodel.XDDFColor

      `forColorContainer, from, from, from, from, from, getColorContainer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFColorHsl

          public XDDFColorHsl(int hue,
                              int saturation,
                              int luminance)

    - #### XDDFColorHsl

          @Internal
          protected XDDFColorHsl(org.openxmlformats.schemas.drawingml.x2006.main.CTHslColor color)

    - #### XDDFColorHsl

          @Internal
          protected XDDFColorHsl(org.openxmlformats.schemas.drawingml.x2006.main.CTHslColor color,
                                           org.openxmlformats.schemas.drawingml.x2006.main.CTColor container)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          protected org.apache.xmlbeans.XmlObject getXmlObject()

      Specified by:
        `getXmlObject` in class `XDDFColor`

    - #### getHue

          public int getHue()

    - #### setHue

          public void setHue(int hue)

    - #### getSaturation

          public int getSaturation()

    - #### setSaturation

          public void setSaturation(int saturation)

    - #### getLuminance

          public int getLuminance()

    - #### setLuminance

          public void setLuminance(int lightness)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.